package com.zhaoliangsz.grainsearch.service;

import com.zhaoliangsz.grainsearch.domain.entity.InventoryTable;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zyw
 * @since 2023-09-27 10:12:06
 */
public interface IInventoryTableService extends IService<InventoryTable> {
    /**
    * 查询
    * @return
    */
    PageResult<InventoryTable> queryInventoryTableList(InventoryTable queryInventoryTable) throws ServiceException;

    /**
     * 新增
     * @return
     */
    String addInventoryTable(InventoryTable addInventoryTable) throws ServiceException;

    /**
     * 编辑
     * @return
     */
    String editInventoryTable(InventoryTable editInventoryTable) throws ServiceException;

    /**
     * 删除
     * @return
     */
    String deleteInventoryTable(InventoryTable deleteInventoryTable) throws ServiceException;

 }
