package com.zhaoliangsz.grainsearch.service;

import com.zhaoliangsz.grainsearch.domain.entity.TestTable;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhaoliangsz.grainsearch.basic.exception.ServiceException;
import com.zhaoliangsz.grainsearch.basic.result.PageResult;
/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zyw
 * @since 2023-08-21 14:40:08
 */
public interface ITestTableService extends IService<TestTable> {
    /**
    * 查询
    * @return
    */
    PageResult<TestTable> queryTestTableList(TestTable queryTestTable) throws ServiceException;

    /**
     * 新增
     * @return
     */
    String addTestTable(TestTable addTestTable) throws ServiceException;

    /**
     * 编辑
     * @return
     */
    String editTestTable(TestTable editTestTable) throws ServiceException;

    /**
     * 删除
     * @return
     */
    String deleteTestTable(TestTable deleteTestTable) throws ServiceException;

 }
